GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List topics GETAdd topic POSTGet topic insights GETUpdate topic PATCHDelete topic DELETE
Topics

Add topic POST

Add a topic.

Update topic PATCH

Rename or recolor a topic.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Topics

Get topic insights

GET
/brands/{brandId}/topics/insights

Visibility, citations, share of voice and sentiment per topic and prompt.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid

Query Parameters

q?string

Matches topic names or prompt text

Lengthlength <= 200
engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date

Match^\d{4}-\d{2}-\d{2}$
sort?string
Default"visibility"
Value in"visibility""name""citations""position""voice""sentiment""prompts""rank"
order?string
Default"desc"
Value in"asc""desc"
page?integer
Range1 <= value
Default1
pageSize?integer
Range1 <= value <= 50
Default25

Response Body

One page of topics with their prompts and tracked brands

application/json
  1. response
  1. response
  2. …
items*array<>
total*integer
page*integer
pageSize*integer
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/insights'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "color": "string",      "metrics": {        "visibility": 0,        "citationShare": 0,        "position": 0,        "shareOfVoice": 0,        "sentiment": 0,        "responses": 0      },      "prompts": [        {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "text": "string",          "type": "string",          "intent": "string",          "countryCode": "string",          "metrics": {            "visibility": 0,            "citationShare": 0,            "position": 0,            "shareOfVoice": 0,            "sentiment": 0,            "responses": 0          }        }      ],      "brands": [        {          "key": "string",          "visibility": 0,          "citationShare": 0,          "position": 0,          "shareOfVoice": 0,          "sentiment": 0,          "mentions": 0        }      ],      "rank": 0    }  ],  "total": 0,  "page": 0,  "pageSize": 0,  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Add topic POST

Add a topic.

Update topic PATCH

Rename or recolor a topic.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/topics/insights'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "color": "string",
      "metrics": {
        "visibility": 0,
        "citationShare": 0,
        "position": 0,
        "shareOfVoice": 0,
        "sentiment": 0,
        "responses": 0
      },
      "prompts": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "text": "string",
          "type": "string",
          "intent": "string",
          "countryCode": "string",
          "metrics": {
            "visibility": 0,
            "citationShare": 0,
            "position": 0,
            "shareOfVoice": 0,
            "sentiment": 0,
            "responses": 0
          }
        }
      ],
      "brands": [
        {
          "key": "string",
          "visibility": 0,
          "citationShare": 0,
          "position": 0,
          "shareOfVoice": 0,
          "sentiment": 0,
          "mentions": 0
        }
      ],
      "rank": 0
    }
  ],
  "total": 0,
  "page": 0,
  "pageSize": 0,
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}